Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# hyperlink.hh File Reference

An AtkHyperlink C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/atk/action.hh>`
`#include <atk/atkhyperlink.h>`
`#include <xfc/atk/inline/hyperlink.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Atk

## Classes

- class Xfc::Atk::Hyperlink
    An AtkHyperlink C++ wrapper class. More...

## Typedefs

- typedef unsigned int HyperlinkStateFlagsField
    HyperlinkStateFlagsField holds one or more values from the Atk::HyperlinkStateFlags enumeration OR'd together.

## Enumerations

- enum HyperlinkStateFlags { HYPERLINK_IS_INLINE = ATK_HYPERLINK_IS_INLINE }
    Describes the type of link. More...

## Detailed Description

An AtkHyperlink C++ wrapper interface.

Provides Hyperlink, an object which encapsulates a link or set of links in a hypertext document.

## Enumeration Type Documentation

enum HyperlinkStateFlags

Describes the type of link.

Enumeration values:

  HYPERLINK_IS_INLINE | The link is inline.

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3